# $Revision: 1.19 $, $Date: 2005/01/16 17:52:07 $
Summary:	Mingw32 Binary Utility Development Utilities - runtime libraries
Summary(pl):	Zestaw narzdzi mingw32 - biblioteki uruchomieniowe
Name:		crossmingw32-runtime
Version:	3.7
%define runver	%{version}
%define	runsrc	mingw-runtime-%{runver}
Release:	1
Epoch:		1
License:	Free
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/mingw/%{runsrc}-src.tar.gz
# Source0-md5:	d5bb1d754e3315a768fe69056b3ee8d3
Patch0:		%{name}-stdinc.patch
Patch1:		%{name}-configure.patch
URL:		http://www.mingw.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-binutils
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
Requires:	crossmingw32-binutils >= 2.15.91.0.2-2
Requires:	crossmingw32-w32api >= 3.1
Obsoletes:	crossmingw32-platform
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32
%define		_prefix			/usr/%{target}
%define		_libdir			%{_prefix}/lib

# strip fails on static COFF files
%define		no_install_post_strip 1

%description
crossmingw32 is a complete cross-compiling development system for
building stand-alone Microsoft Windows applications under Linux using
the Mingw32 build libraries. This includes a binutils, gcc with g++
and objc, and libstdc++, all cross targeted to i386-mingw32, along
with supporting Win32 libraries in 'coff' format from free sources.

This package contains MinGW32 runtime includes and libraries.

%description -l pl
crossmingw32 jest kompletnym systemem do kompilacji skronej,
pozwalajcym budowa aplikacje MS Windows pod Linuksem uywajc
bibliotek mingw32. System skada si z binutils, gcc z g++ i objc,
libstdc++ - wszystkie generujce kod dla platformy i386-mingw32, oraz
z bibliotek w formacie COFF.

Ten pakiet zawiera pliki nagwkowe i biblioteki uruchomieniowe
MinGW32.

%prep
%setup -q -n %{runsrc}
%patch0 -p1 
%patch1 -p1

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
cd mingwex
cp /usr/share/automake/config.sub .
%{__autoconf}
cd ../profile
cp /usr/share/automake/config.sub .
%{__autoconf}
cd ..
./configure \
	--prefix=%{_prefix} \
	--host=%{target} \
	--build=%{_target_platform}
%{__make} -C mingwex
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

%if %{!?debug:1}0
%{target}-strip $RPM_BUILD_ROOT%{_bindir}/*.dll
%{target}-strip -g $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CONTRIBUTORS ChangeLog DISCLAIMER README TODO readme.txt
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-runtime.spec,v $
Revision 1.19  2005/01/16 17:52:07  qboosh
- updated to 3.7

Revision 1.18  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.17  2004/09/22 22:31:18  jareq
- updated to 3.5
- updated to w32api 3.5
- rel 1

Revision 1.16  2004/05/29 12:51:32  qboosh
- added docs

Revision 1.15  2004/05/08 16:24:40  wolf
- 3.3

Revision 1.14  2004/01/25 00:40:46  undefine
- use libdir in %{arch}/lib, not /lib64
- release 2

Revision 1.13  2004/01/01 09:46:52  jajcus
- copy config.sub from automake

Revision 1.12  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.11  2003/10/20 12:27:40  jareq
- upgrade to 3.2

Revision 1.10  2003/09/16 14:56:54  wolf
- runtime - 3.1
- w32api - 2.4

Revision 1.9  2003/08/21 07:24:37  ankry
- s/kroskompilator/kompilator skrony/

Revision 1.8  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/08/06 16:52:33  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.6  2003/07/04 16:09:30  wiget
- compile it
- release 2

Revision 1.5  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/12 08:29:52  wiget
- updated to 3.0

Revision 1.2  2003/04/05 18:22:49  qboosh
- added %%{arch}/bin directory for mingw32 binaries
- use http for sourceforge

Revision 1.1  2003/04/05 15:09:54  qboosh
- separated from crossmingw32-platform.spec, updated to 2.4
